/**
 * From Chapter 14 of the Horstman text
 *
 */


public class LinearSearcher
{
	private int[] a;
	
	/**
	 * Constructs a LinearSearcher
	 *
	 * @param anArray an array of integers
	 *
	 */
	 
	public LinearSearcher( int[] anArray )
	{
		a = anArray;
	}
	
	/**
	 * Finds a value in the array
	 *
	 * @param v the search value
	 * @return the index at which the value occurs,
	 * -1 if it is not in the array
	 *
	 */
	
	public int search( int v )
	{
		for( int i = 0; i < a.length; i++ )
		{
			if (a[i]==v)
			   return i;
		}
		return -1;
	}
}
